"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PHI = PHI;
exports.limit = limit;
function mod(a, n) {
  return a - Math.floor(a / n) * n;
}

function PHI(a, b) {
  return mod(b - a + 180, 360) - 180;
}

function limit(val, min, max) {
  if (val >= max) {
    return val - max;
  } else if (val < min) {
    return max + val;
  }
  return val;
}