'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.focusColor = focusColor;
exports.hoverColor = hoverColor;

var _variants = require('./variants');

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function focusColor(baseColor) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var _ref$steps = _ref.steps,
      steps = _ref$steps === undefined ? 5 : _ref$steps,
      opts = _objectWithoutProperties(_ref, ['steps']);

  return (0, _variants.lighten)(baseColor, Object.assign({ steps: steps }, opts));
}

function hoverColor(baseColor) {
  var _ref2 = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var _ref2$steps = _ref2.steps,
      steps = _ref2$steps === undefined ? 5 : _ref2$steps,
      opts = _objectWithoutProperties(_ref2, ['steps']);

  return (0, _variants.darken)(baseColor, Object.assign({ steps: steps }, opts));
}